View Issue Details

IDProjectCategoryView StatusLast Update
0001918NoesisGUIC# SDKpublic2021-02-10 01:23
ReporterstonstadAssigned Tojsantos 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.9 
Target Version3.0.10Fixed in Version3.0.10 
Summary0001918: TouchBox Does Not Receive Focus as Expected
DescriptionSee screenshot and associated XAML. This behavior happens on Android builds and in the Unity Editor when Emulate Touch is enabled.

TextBoxes inconsistently respond to an initial touch, and focus is not set. I have to repeatedly touch the control for it to finally receive focus.

The behavior is reproducible in Unity when Emulate Touch is enabled. On touch devices (Android) it happens consistently.

TagsNo tags attached.
PlatformAny

Relationships

related to 0001887 resolvedjsantos Next touch after handling TouchUp/Tapped/Holding is not correctly promoted 

Activities

stonstad

stonstad

2021-02-04 16:31

reporter  

CustomerSelect1.PNG (366,472 bytes)
SharingControl.cs (5,228 bytes)
SharingControl.xaml (3,231 bytes)
stonstad

stonstad

2021-02-04 16:32

reporter   ~0007019

I have to spam touches on a TextBox control to get it to focus.
sfernandez

sfernandez

2021-02-04 19:19

manager   ~0007020

I think this is the consequence of this issue: 0001887

Does it happen when you touch on a TextBox and then try to touch another control?
sfernandez

sfernandez

2021-02-04 19:31

manager   ~0007021

If you touch on an empty space and then on the TextBox, does it get the focus on first touch?
stonstad

stonstad

2021-02-04 23:42

reporter   ~0007022

Sergio, you are correct. If I touch something that is not a user control I can then focus a textbox.
stonstad

stonstad

2021-02-09 15:02

reporter   ~0007026

This issue affects a fielded/production application. Are there any work-arounds or an interim patch DLL available?

Thanks,
Shaun
jsantos

jsantos

2021-02-09 15:47

manager   ~0007027

We are working on this, plan is having a release in 24h. If not possible I will try to give you a patch.
stonstad

stonstad

2021-02-09 18:54

reporter   ~0007028

Understood and thank you!

Issue History

Date Modified Username Field Change
2021-02-04 16:31 stonstad New Issue
2021-02-04 16:31 stonstad File Added: CustomerSelect1.PNG
2021-02-04 16:31 stonstad File Added: SharingControl.cs
2021-02-04 16:31 stonstad File Added: SharingControl.xaml
2021-02-04 16:32 stonstad Note Added: 0007019
2021-02-04 19:16 sfernandez Assigned To => jsantos
2021-02-04 19:16 sfernandez Status new => assigned
2021-02-04 19:16 sfernandez Product Version 3.0 => 3.0.9
2021-02-04 19:16 sfernandez Target Version => 3.0.10
2021-02-04 19:16 sfernandez Description Updated View Revisions
2021-02-04 19:19 sfernandez Status assigned => feedback
2021-02-04 19:19 sfernandez Note Added: 0007020
2021-02-04 19:19 sfernandez Relationship added related to 0001887
2021-02-04 19:31 sfernandez Note Added: 0007021
2021-02-04 23:42 stonstad Note Added: 0007022
2021-02-04 23:42 stonstad Status feedback => assigned
2021-02-09 15:02 stonstad Note Added: 0007026
2021-02-09 15:47 jsantos Note Added: 0007027
2021-02-09 18:54 stonstad Note Added: 0007028
2021-02-10 01:23 jsantos Status assigned => resolved
2021-02-10 01:23 jsantos Resolution open => fixed
2021-02-10 01:23 jsantos Fixed in Version => 3.0.10